<!DOCTYPE html>
<html><head>
        <title>User Authentication Hub</title>
        <style>
        body {
        background-color: lightgray;
        }
        .page {
            width:90%;
            padding:5%;
        }
        #logo img {
            height:80px;
            padding-bottom:20px;
            float:left;
        }
        #status img {
            height:80px;
            float:right;
        }
        #message {
            font-family: sans;
            font-size: 38pt;
            color: #333;
            text-align: center;
            top: 42%;
            position: absolute;
            width: 90%;
        }
        .footer {
            position: fixed;
            left: 0;
            bottom: 0;
            width: 100%;
            text-align: center;
            font-family:sans;
            font-size:14pt;
            color: white;
            background: #333;
        }
        button {
            border-radius: 8px;
            font-family: Arial;
            color: #ffffff;
            font-size: 45px;
            background: #2bba3e;
            padding: 10px 20px 10px 20px;
            text-decoration: none;
            margin-top: 44%;
            display: none;
        }
        .leftbtn
        {
            float:left;
            margin-left: -20%;
        }
        .rightbtn
        {
            float:right;
        }        
        #username 
        { display:none;}
        #userid
        { display:none;}
        progress {
            display: none;
            width: 100%;
            height: 25px;
        }
        #pbar {
            margin-top: 380px;
        }
        </style>
    </head>
    <body>
        <script>
            function registercard()
            {
                //alert("Register new card");
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function() {};
                xhttp.open("GET", "https://uah.local:4443/newusers?name='"+document.getElementById("username").innerHTML+"'&userid='"+document.getElementById("userid").innerHTML+"'", true);
                xhttp.send();
            }

            function finish() 
            {
                //alert("CANCEL");
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function() {};
                xhttp.open("GET", "https://uah.local:4443/home", true);
                xhttp.send();
            }
            var timeleft = 10;
            var downloadTimer = setInterval(function(){
            document.getElementById("progressBar").value = 10 - timeleft;
            timeleft -= 1;
            if(timeleft <= 0){
                clearInterval(downloadTimer);
            }
            }, 1000);
        </script> 
        <div class="page">
            <div id="logo"><img src="assets/activage-logo.png"/></div>
            <div id="status"><img id="imgstatus" src="assets/empty.png"/></div>
            <div id="message">Service is running</div>
            <div id="username">Frau Lissner</div>
            <div id="userid">urn:org.universAAL.uSpace:woquaz.de/demoHome#inhabitant2</div>
            <!--<button class="leftbtn" id="leftbtn" onclick="finish()" style="display:none">Finish</button>
            <button class="rightbtn" id="rightbtn" onclick="registercard()" style="display:block">Next</button>-->
            <div id="pbar"><progress id="progressBar" max="10" style="display:none" value="0"></progress></div>
            <div class="footer" id="footer">UAH module is running...</div>
        </div>

    
 </body></html>